# Class PreferencesPayload

#### Hierarchy

- unknown
  - PreferencesPayload

- Defined in src/protobuf/pb_pb.d.ts:6859
- Defined in src/protobuf/pb_pb.d.ts:7091

#####
Index

### Constructors

constructor

### Methods

addAutoConfirmSettings
addBridgeAddresses
addCryptoCurrencies
addIgnoreTradersList
addTraditionalCurrencies
clearAutoConfirmSettingsList
clearBlockChainExplorerMainNet
clearBlockChainExplorerTestNet
clearBridgeAddressesList
clearCryptoCurrenciesList
clearDontShowAgainMapMap
clearIgnoreTradersListList
clearPeerTagMapMap
clearPreferredTradeCurrency
clearSelectedpaymentAccountForCreateoffer
clearTraditionalCurrenciesList
clearUserCountry
clearXmrNodeSettings
getAutoConfirmSettingsList
getAutoSelectArbitrators
getBackupDirectory
getBlockChainExplorerMainNet
getBlockChainExplorerTestNet
getBlockNotifyPort
getBridgeAddressesList
getBridgeOptionOrdinal
getBsqAverageTrimThreshold
getBuyScreenCryptoCurrencyCode
getBuyScreenCurrencyCode
getBuyScreenOtherCurrencyCode
getClearDataAfterDays
getCryptoCurrenciesList
getCssTheme
getCustomBridges
getDenyApiTaker
getDirectoryChooserPath
getDontShowAgainMapMap
getHideNonAccountPaymentMethods
getIgnoreDustThreshold
getIgnoreTradersListList
getMaxPriceDistanceInPercent
getMoneroNodes
getMoneroNodesOptionOrdinal
getNotifyOnPreRelease
getOfferBookChartScreenCurrencyCode
getPeerTagMapMap
getPhoneKeyAndToken
getPreferredTradeCurrency
getReferralId
getResyncSpvRequested
getRpcPw
getRpcUser
getSecurityDepositAsPercent
getSecurityDepositAsPercentForCrypto
getSelectedpaymentAccountForCreateoffer
getSellScreenCryptoCurrencyCode
getSellScreenCurrencyCode
getSellScreenOtherCurrencyCode
getShowOffersMatchingMyAccounts
getShowOwnOffersInOfferBook
getShowPrivateOffers
getSortMarketCurrenciesNumerically
getSplitOfferOutput
getTacAccepted
getTacAcceptedV120
getTakeOfferSelectedPaymentAccountId
getTorTransportOrdinal
getTradeChartsScreenCurrencyCode
getTradeStatisticsTickUnitIndex
getTraditionalCurrenciesList
getUseAnimations
getUseCustomWithdrawalTxFee
getUseMarketNotifications
getUsePercentageBasedPrice
getUsePriceNotifications
getUseSoundForMobileNotifications
getUseSoundForNotifications
getUseSoundForNotificationsInitialized
getUseStandbyMode
getUseTorForXmrOrdinal
getUseTradeNotifications
getUserCountry
getUserLanguage
getWithdrawalTxFeeInVbytes
getXmrNodeSettings
hasBlockChainExplorerMainNet
hasBlockChainExplorerTestNet
hasPreferredTradeCurrency
hasSelectedpaymentAccountForCreateoffer
hasUserCountry
hasXmrNodeSettings
serializeBinary
setAutoConfirmSettingsList
setAutoSelectArbitrators
setBackupDirectory
setBlockChainExplorerMainNet
setBlockChainExplorerTestNet
setBlockNotifyPort
setBridgeAddressesList
setBridgeOptionOrdinal
setBsqAverageTrimThreshold
setBuyScreenCryptoCurrencyCode
setBuyScreenCurrencyCode
setBuyScreenOtherCurrencyCode
setClearDataAfterDays
setCryptoCurrenciesList
setCssTheme
setCustomBridges
setDenyApiTaker
setDirectoryChooserPath
setHideNonAccountPaymentMethods
setIgnoreDustThreshold
setIgnoreTradersListList
setMaxPriceDistanceInPercent
setMoneroNodes
setMoneroNodesOptionOrdinal
setNotifyOnPreRelease
setOfferBookChartScreenCurrencyCode
setPhoneKeyAndToken
setPreferredTradeCurrency
setReferralId
setResyncSpvRequested
setRpcPw
setRpcUser
setSecurityDepositAsPercent
setSecurityDepositAsPercentForCrypto
setSelectedpaymentAccountForCreateoffer
setSellScreenCryptoCurrencyCode
setSellScreenCurrencyCode
setSellScreenOtherCurrencyCode
setShowOffersMatchingMyAccounts
setShowOwnOffersInOfferBook
setShowPrivateOffers
setSortMarketCurrenciesNumerically
setSplitOfferOutput
setTacAccepted
setTacAcceptedV120
setTakeOfferSelectedPaymentAccountId
setTorTransportOrdinal
setTradeChartsScreenCurrencyCode
setTradeStatisticsTickUnitIndex
setTraditionalCurrenciesList
setUseAnimations
setUseCustomWithdrawalTxFee
setUseMarketNotifications
setUsePercentageBasedPrice
setUsePriceNotifications
setUseSoundForMobileNotifications
setUseSoundForNotifications
setUseSoundForNotificationsInitialized
setUseStandbyMode
setUseTorForXmrOrdinal
setUseTradeNotifications
setUserCountry
setUserLanguage
setWithdrawalTxFeeInVbytes
setXmrNodeSettings
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PreferencesPayload(): PreferencesPayload

- #### Returns PreferencesPayload

  Inherited from jspb.Message.constructor

## Methods

### addAutoConfirmSettings

- addAutoConfirmSettings(value?: AutoConfirmSettings, index?: number): AutoConfirmSettings

- #### Parameters

  - ##### `Optional` value: AutoConfirmSettings

  - ##### `Optional` index: number

  #### Returns AutoConfirmSettings

  - Defined in src/protobuf/pb_pb.d.ts:7034

### addBridgeAddresses

- addBridgeAddresses(value: string, index?: number): PreferencesPayload

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6969

### addCryptoCurrencies

- addCryptoCurrencies(value?: TradeCurrency, index?: number): TradeCurrency

- #### Parameters

  - ##### `Optional` value: TradeCurrency

  - ##### `Optional` index: number

  #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:6876

### addIgnoreTradersList

- addIgnoreTradersList(value: string, index?: number): PreferencesPayload

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6953

### addTraditionalCurrencies

- addTraditionalCurrencies(value?: TradeCurrency, index?: number): TradeCurrency

- #### Parameters

  - ##### `Optional` value: TradeCurrency

  - ##### `Optional` index: number

  #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:6871

### clearAutoConfirmSettingsList

- clearAutoConfirmSettingsList(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7033

### clearBlockChainExplorerMainNet

- clearBlockChainExplorerMainNet(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6881

### clearBlockChainExplorerTestNet

- clearBlockChainExplorerTestNet(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6886

### clearBridgeAddressesList

- clearBridgeAddressesList(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6968

### clearCryptoCurrenciesList

- clearCryptoCurrenciesList(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6875

### clearDontShowAgainMapMap

- clearDontShowAgainMapMap(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6895

### clearIgnoreTradersListList

- clearIgnoreTradersListList(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6952

### clearPeerTagMapMap

- clearPeerTagMapMap(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6945

### clearPreferredTradeCurrency

- clearPreferredTradeCurrency(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6909

### clearSelectedpaymentAccountForCreateoffer

- clearSelectedpaymentAccountForCreateoffer(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6964

### clearTraditionalCurrenciesList

- clearTraditionalCurrenciesList(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6870

### clearUserCountry

- clearUserCountry(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6866

### clearXmrNodeSettings

- clearXmrNodeSettings(): PreferencesPayload

- #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7054

### getAutoConfirmSettingsList

- getAutoConfirmSettingsList(): AutoConfirmSettings[]

- #### Returns AutoConfirmSettings[]

  - Defined in src/protobuf/pb_pb.d.ts:7031

### getAutoSelectArbitrators

- getAutoSelectArbitrators(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6891

### getBackupDirectory

- getBackupDirectory(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6888

### getBlockChainExplorerMainNet

- getBlockChainExplorerMainNet(): undefined | BlockChainExplorer

- #### Returns undefined | BlockChainExplorer

  - Defined in src/protobuf/pb_pb.d.ts:6878

### getBlockChainExplorerTestNet

- getBlockChainExplorerTestNet(): undefined | BlockChainExplorer

- #### Returns undefined | BlockChainExplorer

  - Defined in src/protobuf/pb_pb.d.ts:6883

### getBlockNotifyPort

- getBlockNotifyPort(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7022

### getBridgeAddressesList

- getBridgeAddressesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:6966

### getBridgeOptionOrdinal

- getBridgeOptionOrdinal(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6971

### getBsqAverageTrimThreshold

- getBsqAverageTrimThreshold(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7036

### getBuyScreenCryptoCurrencyCode

- getBuyScreenCryptoCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7059

### getBuyScreenCurrencyCode

- getBuyScreenCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6926

### getBuyScreenOtherCurrencyCode

- getBuyScreenOtherCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7074

### getClearDataAfterDays

- getClearDataAfterDays(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7056

### getCryptoCurrenciesList

- getCryptoCurrenciesList(): TradeCurrency[]

- #### Returns TradeCurrency[]

  - Defined in src/protobuf/pb_pb.d.ts:6873

### getCssTheme

- getCssTheme(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7025

### getCustomBridges

- getCustomBridges(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6977

### getDenyApiTaker

- getDenyApiTaker(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7045

### getDirectoryChooserPath

- getDirectoryChooserPath(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6955

### getDontShowAgainMapMap

- getDontShowAgainMapMap(): Map<string, boolean>

- #### Returns Map<string, boolean>

  - Defined in src/protobuf/pb_pb.d.ts:6894

### getHideNonAccountPaymentMethods

- getHideNonAccountPaymentMethods(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7039

### getIgnoreDustThreshold

- getIgnoreDustThreshold(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7016

### getIgnoreTradersListList

- getIgnoreTradersListList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:6950

### getMaxPriceDistanceInPercent

- getMaxPriceDistanceInPercent(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6917

### getMoneroNodes

- getMoneroNodes(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6947

### getMoneroNodesOptionOrdinal

- getMoneroNodesOptionOrdinal(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6980

### getNotifyOnPreRelease

- getNotifyOnPreRelease(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7048

### getOfferBookChartScreenCurrencyCode

- getOfferBookChartScreenCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6920

### getPeerTagMapMap

- getPeerTagMapMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:6944

### getPhoneKeyAndToken

- getPhoneKeyAndToken(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6986

### getPreferredTradeCurrency

- getPreferredTradeCurrency(): undefined | TradeCurrency

- #### Returns undefined | TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:6906

### getReferralId

- getReferralId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6983

### getResyncSpvRequested

- getResyncSpvRequested(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6935

### getRpcPw

- getRpcPw(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7007

### getRpcUser

- getRpcUser(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7004

### getSecurityDepositAsPercent

- getSecurityDepositAsPercent(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7013

### getSecurityDepositAsPercentForCrypto

- getSecurityDepositAsPercentForCrypto(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7019

### getSelectedpaymentAccountForCreateoffer

- getSelectedpaymentAccountForCreateoffer(): undefined | PaymentAccount

- #### Returns undefined | PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:6961

### getSellScreenCryptoCurrencyCode

- getSellScreenCryptoCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7062

### getSellScreenCurrencyCode

- getSellScreenCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6929

### getSellScreenOtherCurrencyCode

- getSellScreenOtherCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7077

### getShowOffersMatchingMyAccounts

- getShowOffersMatchingMyAccounts(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7042

### getShowOwnOffersInOfferBook

- getShowOwnOffersInOfferBook(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6903

### getShowPrivateOffers

- getShowPrivateOffers(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7080

### getSortMarketCurrenciesNumerically

- getSortMarketCurrenciesNumerically(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6938

### getSplitOfferOutput

- getSplitOfferOutput(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7065

### getTacAccepted

- getTacAccepted(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6897

### getTacAcceptedV120

- getTacAcceptedV120(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7028

### getTakeOfferSelectedPaymentAccountId

- getTakeOfferSelectedPaymentAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7010

### getTorTransportOrdinal

- getTorTransportOrdinal(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6974

### getTradeChartsScreenCurrencyCode

- getTradeChartsScreenCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6923

### getTradeStatisticsTickUnitIndex

- getTradeStatisticsTickUnitIndex(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6932

### getTraditionalCurrenciesList

- getTraditionalCurrenciesList(): TradeCurrency[]

- #### Returns TradeCurrency[]

  - Defined in src/protobuf/pb_pb.d.ts:6868

### getUseAnimations

- getUseAnimations(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6958

### getUseCustomWithdrawalTxFee

- getUseCustomWithdrawalTxFee(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6914

### getUseMarketNotifications

- getUseMarketNotifications(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6995

### getUsePercentageBasedPrice

- getUsePercentageBasedPrice(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6941

### getUsePriceNotifications

- getUsePriceNotifications(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6998

### getUseSoundForMobileNotifications

- getUseSoundForMobileNotifications(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6989

### getUseSoundForNotifications

- getUseSoundForNotifications(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7068

### getUseSoundForNotificationsInitialized

- getUseSoundForNotificationsInitialized(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7071

### getUseStandbyMode

- getUseStandbyMode(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7001

### getUseTorForXmrOrdinal

- getUseTorForXmrOrdinal(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6900

### getUseTradeNotifications

- getUseTradeNotifications(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6992

### getUserCountry

- getUserCountry(): undefined | Country

- #### Returns undefined | Country

  - Defined in src/protobuf/pb_pb.d.ts:6863

### getUserLanguage

- getUserLanguage(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6860

### getWithdrawalTxFeeInVbytes

- getWithdrawalTxFeeInVbytes(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6911

### getXmrNodeSettings

- getXmrNodeSettings(): undefined | XmrNodeSettings

- #### Returns undefined | XmrNodeSettings

  - Defined in src/protobuf/pb_pb.d.ts:7051

### hasBlockChainExplorerMainNet

- hasBlockChainExplorerMainNet(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6880

### hasBlockChainExplorerTestNet

- hasBlockChainExplorerTestNet(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6885

### hasPreferredTradeCurrency

- hasPreferredTradeCurrency(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6908

### hasSelectedpaymentAccountForCreateoffer

- hasSelectedpaymentAccountForCreateoffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6963

### hasUserCountry

- hasUserCountry(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6865

### hasXmrNodeSettings

- hasXmrNodeSettings(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7053

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7083

### setAutoConfirmSettingsList

- setAutoConfirmSettingsList(value: AutoConfirmSettings[]): PreferencesPayload

- #### Parameters

  - ##### value: AutoConfirmSettings[]

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7032

### setAutoSelectArbitrators

- setAutoSelectArbitrators(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6892

### setBackupDirectory

- setBackupDirectory(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6889

### setBlockChainExplorerMainNet

- setBlockChainExplorerMainNet(value?: BlockChainExplorer): PreferencesPayload

- #### Parameters

  - ##### `Optional` value: BlockChainExplorer

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6879

### setBlockChainExplorerTestNet

- setBlockChainExplorerTestNet(value?: BlockChainExplorer): PreferencesPayload

- #### Parameters

  - ##### `Optional` value: BlockChainExplorer

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6884

### setBlockNotifyPort

- setBlockNotifyPort(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7023

### setBridgeAddressesList

- setBridgeAddressesList(value: string[]): PreferencesPayload

- #### Parameters

  - ##### value: string[]

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6967

### setBridgeOptionOrdinal

- setBridgeOptionOrdinal(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6972

### setBsqAverageTrimThreshold

- setBsqAverageTrimThreshold(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7037

### setBuyScreenCryptoCurrencyCode

- setBuyScreenCryptoCurrencyCode(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7060

### setBuyScreenCurrencyCode

- setBuyScreenCurrencyCode(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6927

### setBuyScreenOtherCurrencyCode

- setBuyScreenOtherCurrencyCode(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7075

### setClearDataAfterDays

- setClearDataAfterDays(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7057

### setCryptoCurrenciesList

- setCryptoCurrenciesList(value: TradeCurrency[]): PreferencesPayload

- #### Parameters

  - ##### value: TradeCurrency[]

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6874

### setCssTheme

- setCssTheme(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7026

### setCustomBridges

- setCustomBridges(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6978

### setDenyApiTaker

- setDenyApiTaker(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7046

### setDirectoryChooserPath

- setDirectoryChooserPath(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6956

### setHideNonAccountPaymentMethods

- setHideNonAccountPaymentMethods(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7040

### setIgnoreDustThreshold

- setIgnoreDustThreshold(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7017

### setIgnoreTradersListList

- setIgnoreTradersListList(value: string[]): PreferencesPayload

- #### Parameters

  - ##### value: string[]

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6951

### setMaxPriceDistanceInPercent

- setMaxPriceDistanceInPercent(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6918

### setMoneroNodes

- setMoneroNodes(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6948

### setMoneroNodesOptionOrdinal

- setMoneroNodesOptionOrdinal(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6981

### setNotifyOnPreRelease

- setNotifyOnPreRelease(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7049

### setOfferBookChartScreenCurrencyCode

- setOfferBookChartScreenCurrencyCode(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6921

### setPhoneKeyAndToken

- setPhoneKeyAndToken(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6987

### setPreferredTradeCurrency

- setPreferredTradeCurrency(value?: TradeCurrency): PreferencesPayload

- #### Parameters

  - ##### `Optional` value: TradeCurrency

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6907

### setReferralId

- setReferralId(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6984

### setResyncSpvRequested

- setResyncSpvRequested(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6936

### setRpcPw

- setRpcPw(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7008

### setRpcUser

- setRpcUser(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7005

### setSecurityDepositAsPercent

- setSecurityDepositAsPercent(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7014

### setSecurityDepositAsPercentForCrypto

- setSecurityDepositAsPercentForCrypto(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7020

### setSelectedpaymentAccountForCreateoffer

- setSelectedpaymentAccountForCreateoffer(value?: PaymentAccount): PreferencesPayload

- #### Parameters

  - ##### `Optional` value: PaymentAccount

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6962

### setSellScreenCryptoCurrencyCode

- setSellScreenCryptoCurrencyCode(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7063

### setSellScreenCurrencyCode

- setSellScreenCurrencyCode(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6930

### setSellScreenOtherCurrencyCode

- setSellScreenOtherCurrencyCode(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7078

### setShowOffersMatchingMyAccounts

- setShowOffersMatchingMyAccounts(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7043

### setShowOwnOffersInOfferBook

- setShowOwnOffersInOfferBook(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6904

### setShowPrivateOffers

- setShowPrivateOffers(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7081

### setSortMarketCurrenciesNumerically

- setSortMarketCurrenciesNumerically(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6939

### setSplitOfferOutput

- setSplitOfferOutput(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7066

### setTacAccepted

- setTacAccepted(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6898

### setTacAcceptedV120

- setTacAcceptedV120(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7029

### setTakeOfferSelectedPaymentAccountId

- setTakeOfferSelectedPaymentAccountId(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7011

### setTorTransportOrdinal

- setTorTransportOrdinal(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6975

### setTradeChartsScreenCurrencyCode

- setTradeChartsScreenCurrencyCode(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6924

### setTradeStatisticsTickUnitIndex

- setTradeStatisticsTickUnitIndex(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6933

### setTraditionalCurrenciesList

- setTraditionalCurrenciesList(value: TradeCurrency[]): PreferencesPayload

- #### Parameters

  - ##### value: TradeCurrency[]

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6869

### setUseAnimations

- setUseAnimations(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6959

### setUseCustomWithdrawalTxFee

- setUseCustomWithdrawalTxFee(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6915

### setUseMarketNotifications

- setUseMarketNotifications(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6996

### setUsePercentageBasedPrice

- setUsePercentageBasedPrice(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6942

### setUsePriceNotifications

- setUsePriceNotifications(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6999

### setUseSoundForMobileNotifications

- setUseSoundForMobileNotifications(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6990

### setUseSoundForNotifications

- setUseSoundForNotifications(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7069

### setUseSoundForNotificationsInitialized

- setUseSoundForNotificationsInitialized(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7072

### setUseStandbyMode

- setUseStandbyMode(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7002

### setUseTorForXmrOrdinal

- setUseTorForXmrOrdinal(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6901

### setUseTradeNotifications

- setUseTradeNotifications(value: boolean): PreferencesPayload

- #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6993

### setUserCountry

- setUserCountry(value?: Country): PreferencesPayload

- #### Parameters

  - ##### `Optional` value: Country

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6864

### setUserLanguage

- setUserLanguage(value: string): PreferencesPayload

- #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6861

### setWithdrawalTxFeeInVbytes

- setWithdrawalTxFeeInVbytes(value: number): PreferencesPayload

- #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:6912

### setXmrNodeSettings

- setXmrNodeSettings(value?: XmrNodeSettings): PreferencesPayload

- #### Parameters

  - ##### `Optional` value: XmrNodeSettings

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7052

### toObject

- toObject(includeInstance?: boolean): PreferencesPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PreferencesPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7084

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PreferencesPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7087

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PreferencesPayload, reader: BinaryReader): PreferencesPayload

- #### Parameters

  - ##### message: PreferencesPayload

  - ##### reader: BinaryReader

  #### Returns PreferencesPayload

  - Defined in src/protobuf/pb_pb.d.ts:7088

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PreferencesPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PreferencesPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7086

### `Static` toObject

- toObject(includeInstance: boolean, msg: PreferencesPayload): PreferencesPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PreferencesPayload

  #### Returns PreferencesPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7085

Generated using TypeDoc